<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<html><head><title>
Pico Device Manual: Magnets and forces
</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Content-Style-Type" content="text/css">
<link rel="stylesheet" title="Default" type="text/css" href="allegro.css"></head><body bgcolor=white text=black link="#0000ee" alink="#ff0000" vlink="#551a8b">
<h1><a name="Magnets and forces">Magnets and forces</a></h1>

<p><br>
<div class="al-api"><b><a name="Forces_and_bead_size"> Forces and bead size</a></b></div><br>

<p>
Your device is equiped with strong magnets designed to produce an
horizontal magnetic field with a very steep vertical gradient. The
force will depend upon the bead that you use. Since the noise in the
experiment decreases with the radius of the bead - small is better!
However since the applied force increases with the beads' volume one
cannot change very much the bead's radius. A good compromise is to use
MyOne beads with a radius of 0.5 microns. We have optimized the
magnets so that they develop a force of typically 15 to 20pN on MyOne
beads which is good for most studies of DNA/protein interactions. If
higher forces are required one should use larger beads.



<p><br>
<img src="./pico-Forcebd100-6-7-zscan4.png" height="698" width="703" alt="Pico.exe start" align="center"> 

<p><br>
<div class="al-api"><b><a name="Force_decays_very_fast_with_the_bead_to_magnet_distance_"> Force decays very fast with the bead to magnet distance.</a></b></div><br>

<p>
As one can see on the curve above, the force decreases nearly
exponentially with the distance between the bead and the magnet. This
is very convenient as one can accuretely model this decay. The force
decreases by a factor 30 over 1 mm ! or by nearly a factor 2 every 0.2
mm. Thus if you want to get a high force, you need to place the
magnets very close, within a few tenth of a millimeter of the sample
(without breaking it!) - Notice that the range of displacement is
limited to 2.5 mm resulting in a minimal force of of about 20
femtoNewtons.

<p><br>
<div class="al-api"><b><a name="The_magnets_are_moved_by_precision_mottors"> The magnets are moved by precision mottors</a></b></div><br>

<p>
The rotational and translational motors are DC motors having a high
resolution optical encoder. The micro-controller regulates the
displacement using a feedback from these encoders. When the rotational
motor is set to rotate the magnets by 8 turns, the controller
increases its speed linearly until the maximum velocity is reached and
decelerates it so as to reach the set position as smoothly as
possible. Find below an extreme example where the magnets rotation
speed reaches 40 turns/s. Usually it is not recommended to rotate the
magnets that fast.



<p><br>
<img src="./pico-Rot-trans-full-speed.png" height="846" width="735" alt="Pico.exe start" align="center"> 

<p>
Since in a typical experiment rotating the magnets by 5 turns/s is
fine, this is the default rotation speed.



<p><br>
<img src="./pico-Rot-trans-half.png" height="708" width="684" alt="Pico.exe start" align="center"> 

<p>
At 40 tr/s there is a possible under or overshoot in the transient.


<p><br>
<img src="./pico-Rot-trans-full.png" height="719" width="697" alt="Pico.exe start" align="center"> 


<p><br>
<div class="al-api"><b><a name="At_medium_translation_speed__10mm_s__very_little_overshoot_occurs"> At medium translation speed (10mm/s) very little overshoot occurs</a></b></div><br>

<p>
The overshoot which may occur at the end of the motor travel is
usually not an issue when rotating the magnets but it is definitely a
problem when translating them. If the magnets are set to reach the
highest possible force (i.e. be as close as possible to the sample),
then if during its travel the motor overshoots the magnets may crash
into the sample and break it before retracting to their set position!
We have reduced this overshoot to a minimum by setting the
translational speed to 10mm/s (the maximum speed is 25mm/s). In this
situation the overshoot is in the micron range.



<p><br>
<img src="./pico-zmag-trans-new-half.png" height="714" width="729" alt="Pico.exe start" align="center"> 

<p>
This is also true for small steps.


<p><br>
<img src="./pico-zmag-trans-new-half-01.png" height="714" width="729" alt="Pico.exe start" align="center"> 

<p>
At higher speed 20mm/s the overshoot is slightly higher.



<p><br>
<img src="./pico-zmag-trans-new-full.png" height="698" width="706" alt="Pico.exe start" align="center"> 


<p><br>
<img src="./pico-zmag-trans-new-full-01.png" height="708" width="730" alt="Pico.exe start" align="center"> 


<p><br>
<div class="al-api"><b><a name="The_motor_built_in_encoder_gives_only_accurale_relative_motion"> The motor built-in encoder gives only accurale relative motion</a></b></div><br>


<p><br>
Let us consider first the rotation motor, the encoder allows to record
the motor displacement with a high accuracy (8000 ticks per turn). The
absolute position is obtained by integrating motion relative a
reference position that you can specify at anytime. When the motor is
at rest, you can decide that the prsent position becomes a reference
position of a define value. Most of the time you will specify that the
zero of rotation corresponds to the magnetic field being parallel to
one of your device axis (this corresponds to having the screw holding
the magnets facing the operator or at ninety degrees). When you switch
off your device, the last position is saved in flash memory. This
value is restore on powering on your device. Thus your reference
position should be preserve in normal use. However if you manually
rotate your magnrts while your device is switched off, you will loose
your refence position the next time you switch on your apparatus. It
is a good practice to check that your refence has not changed when
ever you start a new experiment. The motor feedback motion is done by
a micro-controller which might on rare occasion hangs (the lcd display
is freezed and does not respond anymore to menu buttons). In this case
you nearly certainly have loose your references.


<p><br>
For the magnets translation motor things are a little more
involved. The same principle holds but the translation motor is
equiped with limit switches which stops the motor. The limt switches
are very accurate and their switching point is used to make the zmag
reference for absolute positionning. Although both limits may be used,
it is more simple to use the bottom limit also called the positive
limit which is the closest to the sample as a zero reference. When the
motor moves away from the sample Zmag decreases. If we assume that
position zero would correspond to the magnets being in contact with
the bead (this is an extreme situation that you want to avoid) then
the magnets position will run to negative values as the magnets escape
from the sample. Such a setting is convenient since the estimated
force writes F = F0 exp(-z/l). When the motor reaches to top limit
(also called negative limit) the motor position is typically -28mm.
When driving the motors from the acquisition program, a red message
will warn you if you reach these limits.


<p><br>
When the translation stage bumps in on of the limit switch, the LCD
display indication for translation position will change from zmag to
Zlimit + or - depending on the limit.


<p><br>
Translation motor position is also saved in flash memory to restore
reference on powering device on. However you can always loose your
absolute motor position in some unsuall cirtuntances (by turning the
translation screw while the motor is off for instance (not
easy)). Since the user usually wants to be able to apply the maximum
force, he needs to bring the magnets nearly in contact with the
sample. Loosing translation motor position reference is definitely a
bad thing: the estimation of the force becomes wrong -but worse, the
user has a chance to crash the magnets in the sample.  We have
implement two protective schemes to avoid this situation. Since a
reference shifted by 0.25 mm easily leads to an error in force by a
factor 2 ! Again checking the reference position of your translation
motor before an experiment is a good practice.



<p><br>
<div class="al-api"><b><a name="Sofware_limits_zmag_motion"> Sofware limits zmag motion</a></b></div><br>

<p>
To prevent breaking your sample the first security that we have
implement is to forbid motor motion below a define value set by
user. If you have set your reference so that the contact between the
bead and the magnets is zero, you will typically set the maximum
position reachable to -0.11 mm since the sample thickness is 0.1 mm.
With such a setting magnets will stop 0.01 mm above the sample.  Such
a limit prevents error on setting improper magnet value but are
inefficient if the refence has moved.


<p><br>
<div class="al-api"><b><a name="An_inductive_sensor_limits_the_zmag_motion"> An inductive sensor limits the zmag motion</a></b></div><br>

<p>
To prevent bumping in your sample if your motor reference is lost, we
have placed an inductive sensor which measures the absolute distance
of the translation stage.



<p><br>
<img src="./pico-inductive-open.jpg" height="496" width="601" alt="Pico.exe start" align="center"> 




<p><br>
<img src="./pico-inductive-close.jpg" height="595" width="623" alt="Pico.exe start" align="center"> 


<p><br>
The sensor is only active when the magnets holder is in the measuring
position, if you swing the holder on the side, the sensor is not
working (and is not required). This sensor has a range of 0.8 mm it is
sensitive but slightly nonlinear. Typically it gives a 10V voltage
when the translation stage is further than 0.8 mm, this voltage
deacreses sharply with the stage approaching zero. The sensor has been
adjusted so that when the translation stage bumps in the positive
limit its voltage stands between 0.1V to 1V. The voltage
decreases nearly lineraly with the translation stage position.

<p>
The motor feedback algorithm polls the incremental encoder position
every milliseconds, he also measures the idutive sensor voltage at the
same rate. The feedback will rely on the encoder indication as long as
the inductive sensor voltage stands above a threshold that the user
may defined. If the sensor voltage approaches the threshold value, the
feedback will use this voltage to servo the motor position. Thus as
long as your not too close to the sample the motor feedback is done on
the accurate incremental encoder; when the motor approaches the
threshold value, the motor stops on the limit set by the threshold
voltage which correponds to an absolute position. If you have messed
up your encoder reference, position indication will be wrong but the
motors will still safely stops when it approaches to close to your
sample.




<p><br>
<hr><div class="al-back-to-contents"><a href="picodv.html">Back to contents</a></div>

</body>
</html>
